<?php
namespace Plumbio\Helper\Elementor;

use Elementor\Plugin;

class Element {


	public function __construct() {
		add_action( 'elementor/elements/categories_registered', array( $this, 'add_elementor_widget_categories' ) );
		add_action( 'elementor/widgets/register', array( $this, 'widgets_registered' ) );
	}
	public function widgets_registered() {
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Banner_Slider() );
		Plugin::instance()->widgets_manager->register( new Widgets\AboutCompany() );
		Plugin::instance()->widgets_manager->register( new Widgets\ServiceBanner() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Contact() );
		Plugin::instance()->widgets_manager->register( new Widgets\PlumbioService() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Service_Tab() );
		Plugin::instance()->widgets_manager->register( new Widgets\OurApproach() );
		Plugin::instance()->widgets_manager->register( new Widgets\WhyChooseUs() );
		Plugin::instance()->widgets_manager->register( new Widgets\MissionStatement() );
		Plugin::instance()->widgets_manager->register( new Widgets\AdditionalServiceSlider() );
		Plugin::instance()->widgets_manager->register( new Widgets\WorkPlan() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_FAQ() );
		Plugin::instance()->widgets_manager->register( new Widgets\PlumbioTestimonial() );
		Plugin::instance()->widgets_manager->register( new Widgets\EmergencyService() );
		Plugin::instance()->widgets_manager->register( new Widgets\PlumbioBlog() );
		Plugin::instance()->widgets_manager->register( new Widgets\FAQ_Contact() );
		Plugin::instance()->widgets_manager->register( new Widgets\Special_Offers() );
		Plugin::instance()->widgets_manager->register( new Widgets\Service_Plans() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Team() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_About() );
		Plugin::instance()->widgets_manager->register( new Widgets\Choose() );
		Plugin::instance()->widgets_manager->register( new Widgets\Company_RSF() );
		Plugin::instance()->widgets_manager->register( new Widgets\Certificates() );
		Plugin::instance()->widgets_manager->register( new Widgets\Impacts_Cost() );
		Plugin::instance()->widgets_manager->register( new Widgets\Areas_Cover() );
		Plugin::instance()->widgets_manager->register( new Widgets\Coverage_Location() );
		Plugin::instance()->widgets_manager->register( new Widgets\CustomerReview() );
		Plugin::instance()->widgets_manager->register( new Widgets\VideoSlider() );
		Plugin::instance()->widgets_manager->register( new Widgets\PlumbioFooter() );
		Plugin::instance()->widgets_manager->register( new Widgets\PlumbioBrand() );
		Plugin::instance()->widgets_manager->register( new Widgets\SidebarNavContact() );
		Plugin::instance()->widgets_manager->register( new Widgets\RequestQuote() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Offer() );
		Plugin::instance()->widgets_manager->register( new Widgets\ServiceTab_Two() );
		Plugin::instance()->widgets_manager->register( new Widgets\RepairTab() );
		Plugin::instance()->widgets_manager->register( new Widgets\PlumbioListWidget() );
		Plugin::instance()->widgets_manager->register( new Widgets\SidebarContactForm() );
		Plugin::instance()->widgets_manager->register( new Widgets\ServiceSidebarContact() );
		Plugin::instance()->widgets_manager->register( new Widgets\ServiceHeading() );
		Plugin::instance()->widgets_manager->register( new Widgets\Service_Thumbnail() );
		Plugin::instance()->widgets_manager->register( new Widgets\ServiceBottomBanner() );
		Plugin::instance()->widgets_manager->register( new Widgets\CommericialProject() );
		Plugin::instance()->widgets_manager->register( new Widgets\CommericialProject() );
		Plugin::instance()->widgets_manager->register( new Widgets\ProjectGallery() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Our_Pricelist() );
		Plugin::instance()->widgets_manager->register( new Widgets\Client_Review() );
		Plugin::instance()->widgets_manager->register( new Widgets\Plumbio_Product_Grid() );

	}
	function add_elementor_widget_categories( $elements_manager ) {
		$elements_manager->add_category(
			'plumbio',
			array(
				'title' => __( 'Plumbio', 'plumbio-core' ),
				'icon'  => 'fa fa-plug',
			)
		);
	}
}
