<?php
/**
 * Strip all the tags except allowed html tags
 *
 * The name is based on inline editing toolbar name
 *
 * @param  string $string
 * @return string
 */
function plumbio_kses_basic( $string = '' ) {
	return wp_kses( $string, plumbio_get_allowed_html_tags( 'basic' ) );
}

/**
 * Strip all the tags except allowed html tags
 *
 * The name is based on inline editing toolbar name
 *
 * @param  string $string
 * @return string
 */
function plumbio_kses_intermediate( $string = '' ) {
	return wp_kses( $string, plumbio_get_allowed_html_tags( 'intermediate' ) );
}

function plumbio_get_allowed_html_tags( $level = 'basic' ) {
	$allowed_html = array(
		'b'      => array(),
		'i'      => array(),
		'u'      => array(),
		'em'     => array(),
		'br'     => array(),
		'abbr'   => array(
			'title' => array(),
		),
		'span'   => array(
			'class' => array(),
		),
		'strong' => array(),
	);

	if ( $level === 'intermediate' ) {
		$allowed_html['a'] = array(
			'href'  => array(),
			'title' => array(),
			'class' => array(),
			'id'    => array(),
		);
	}

	return $allowed_html;
}

function to_bool( $bool ) {
	return ( is_bool( $bool ) ? $bool : ( is_numeric( $bool ) ? ( (bool) intval( $bool ) ) : $bool !== 'false' ) );
}

if ( ! function_exists( 'plumbio_core_elementor_library' ) ) {
	function plumbio_core_elementor_library() {
		$pageslist = get_posts(
			array(
				'post_type'      => 'elementor_library',
				'posts_per_page' => -1,
			)
		);
		$pagearray = array();
		if ( ! empty( $pageslist ) ) {
			foreach ( $pageslist as $page ) {
				$pagearray[ $page->ID ] = $page->post_title;
			}
		}
		return $pagearray;
	}
}

// add support link to the WP Toolbar
function plumbio_core_toolbar_link($wp_admin_bar) {
    $args = array(
        'id' => 'support_link',
        'title' => esc_html__('Theme Support & Documentation links','plumbio-core'), 
        'href' => home_url() . '/wp-admin/admin.php?page=envato-theme-license-support', 
        'meta' => array(
            'class' => 'sp_link', 
            'title' => esc_html__('Support','plumbio-core')
            )
    );
    $wp_admin_bar->add_node($args);
}
add_action('admin_bar_menu', 'plumbio_core_toolbar_link', 999);