<?php
/**
 * The template for displaying product search form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/product-searchform.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 7.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

<form role="search" method="get" class="woocommerce-product-search tt-search-aside" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<div class="tt-form__group">
		<input type="text" id="woocommerce-product-search-field-<?php echo isset( $index ) ? absint( $index ) : 0; ?>" class="search-field" class="tt-form__control" placeholder="<?php echo esc_attr_x( 'Search products', 'placeholder', 'plumbio' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'plumbio' ); ?>" />
		<button type="submit" class="tt-btn-inner-right icon-2089805 <?php echo esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ); ?>"></button>
		<input type="hidden" name="post_type" value="product" />
	</div>
</form>
